CairoAntialias
CairoExtend
Cairo
PHP Manual

# The CairoContent class

## Introduction

CairoContent is used to describe the content that a surface will contain, whether color information, alpha information (translucence vs. opacity), or both.

Note: The large values here are designed to keep CairoContent values distinct from CairoContent values so that the implementation can detect the error if users confuse the two types.

## Class synopsis

CairoContent
CairoContent {
/* Constants */
const integer CairoContent::COLOR = 4096 ;
const integer CairoContent::ALPHA = 8192 ;
const integer CairoContent::COLOR_ALPHA = 12288 ;
}

## Predefined Constants

## CairoContent Node Types

`CairoContent::COLOR`

  The surface will hold color content only.

`CairoContent::ALPHA`

  The surface will hold alpha content only.

`CairoContent::COLOR_ALPHA`

  The surface will hold color and alpha content.

CairoAntialias
CairoExtend
Cairo
PHP Manual